
From: Dave Hansen <haveblue@us.ibm.com>

asm/page.h seems to be the accepted place to declare virt_to_page() on a vast
majority of architectures.  This patch makes sure that a few files which use
that function also directly include the header.

Signed-off-by: Dave Hansen <haveblue@us.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/binfmt_elf.c             |    1 +
 25-akpm/fs/jbd/journal.c            |    1 +
 25-akpm/include/asm-ppc64/pgalloc.h |    1 +
 25-akpm/mm/slab.c                   |    1 +
 25-akpm/net/packet/af_packet.c      |    1 +
 5 files changed, 5 insertions(+)

diff -puN fs/binfmt_elf.c~include-asm-pageh-for-virt_to_page fs/binfmt_elf.c
--- 25/fs/binfmt_elf.c~include-asm-pageh-for-virt_to_page	2004-08-23 23:07:56.845404328 -0700
+++ 25-akpm/fs/binfmt_elf.c	2004-08-23 23:07:56.858402352 -0700
@@ -40,6 +40,7 @@
 
 #include <asm/uaccess.h>
 #include <asm/param.h>
+#include <asm/page.h>
 
 #include <linux/elf.h>
 
diff -puN fs/jbd/journal.c~include-asm-pageh-for-virt_to_page fs/jbd/journal.c
--- 25/fs/jbd/journal.c~include-asm-pageh-for-virt_to_page	2004-08-23 23:07:56.847404024 -0700
+++ 25-akpm/fs/jbd/journal.c	2004-08-23 23:07:56.862401744 -0700
@@ -34,6 +34,7 @@
 #include <linux/suspend.h>
 #include <linux/pagemap.h>
 #include <asm/uaccess.h>
+#include <asm/page.h>
 #include <linux/proc_fs.h>
 
 EXPORT_SYMBOL(journal_start);
diff -puN include/asm-ppc64/pgalloc.h~include-asm-pageh-for-virt_to_page include/asm-ppc64/pgalloc.h
--- 25/include/asm-ppc64/pgalloc.h~include-asm-pageh-for-virt_to_page	2004-08-23 23:07:56.849403720 -0700
+++ 25-akpm/include/asm-ppc64/pgalloc.h	2004-08-23 23:07:56.862401744 -0700
@@ -7,6 +7,7 @@
 #include <linux/percpu.h>
 #include <asm/processor.h>
 #include <asm/tlb.h>
+#include <asm/page.h>
 
 extern kmem_cache_t *zero_cache;
 
diff -puN mm/slab.c~include-asm-pageh-for-virt_to_page mm/slab.c
--- 25/mm/slab.c~include-asm-pageh-for-virt_to_page	2004-08-23 23:07:56.851403416 -0700
+++ 25-akpm/mm/slab.c	2004-08-23 23:07:56.871400376 -0700
@@ -96,6 +96,7 @@
 #include	<asm/uaccess.h>
 #include	<asm/cacheflush.h>
 #include	<asm/tlbflush.h>
+#include	<asm/page.h>
 
 /*
  * DEBUG	- 1 for kmem_cache_create() to honour; SLAB_DEBUG_INITIAL,
diff -puN net/packet/af_packet.c~include-asm-pageh-for-virt_to_page net/packet/af_packet.c
--- 25/net/packet/af_packet.c~include-asm-pageh-for-virt_to_page	2004-08-23 23:07:56.853403112 -0700
+++ 25-akpm/net/packet/af_packet.c	2004-08-23 23:07:56.873400072 -0700
@@ -65,6 +65,7 @@
 #include <asm/system.h>
 #include <asm/uaccess.h>
 #include <asm/ioctls.h>
+#include <asm/page.h>
 #include <linux/proc_fs.h>
 #include <linux/seq_file.h>
 #include <linux/poll.h>
_
